﻿@import url("https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,400;0,700;1,400&display=swap");
@import url('https://fonts.cdnfonts.com/css/berlin-sans-fb');
@import url('https://fonts.cdnfonts.com/css/berlin-sans-fb-demi');

:root {
    font-family: Inter, sans-serif;
    font-feature-settings: 'liga' 1, 'calt' 1; /* fix for Chrome */
}

@supports (font-variation-settings: normal) {
    :root {
        font-family: InterVariable, sans-serif;
    }
}

.btn-outline-repair {
    --bs-btn-color: #C08335;
    --bs-btn-border-color: #DEB887;
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #DEB887;
    --bs-btn-hover-border-color: #DEB887;
    --bs-btn-focus-shadow-rgb: 52, 152, 219;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #DEB887;
    --bs-btn-active-border-color: #DEB887;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #DEB887;
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: #DEB887;
    --bs-gradient: none;
}

.true_purchase_index_row {
    background-color: lightgrey;
    color: darkgray;
}

.closedRent {
    color: #adadad;
}

.purchase_th1 {
    background-color: #c3b9b9;
}

.purchase_th2 {
    background-color: lightgray;
}

.reha-li {
    padding-top: 0.85rem;
}

.rounded-corner {
    border-radius: 20px;
}

.BLAleft-panel-inner-border {
    border-right: 1px solid #ccc;
    /*padding-right:60px; 
    margin-right:40px;*/
}

.pr-60 {
    padding-right: 60px;
}

.mr-40 {
    margin-right: 40px;
}

.form-200 {
    width: 200px;
}

.detail-view-left-panel-field {
    padding: 15px;
    border: 1px solid #ccc;
    border-radius: 15px;
}

.rent-active-true {
    visibility: hidden;
}

.comment {
    border: 1px solid red;
    border-radius: 10px;
    padding: 5px;
    margin-bottom: 10px;
}

.details-rentisactive-false {
    background-image: url("/images/various/background-01.png");
}

.rent-index-row-false {
    background-color: #cecece;
}

.td-customer-index-view {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.crud-actions i {
    font-size: 1.0em;
}

.crud-actions-details i {
    font-size: 1.4em;
}

.status-cell-align-middle {
    vertical-align: middle !important;
}

.compared-person {
    background-color: #3a4c83;
}

.compared-excel {
    background-color: #456241;
}


.mini-excel-data-text {
    font-size: 0.79em;
}

tr.today {
    border-top: 2px grey dotted;
    border-bottom: 2px grey dotted;
}

table.rents-table td {
    padding: 5px;
}

table.equ td {
    padding: 7px;
}

.disabled {
    background-color: #ecf0f1;
    opacity: 1;
}

s

#offer div, #offer p, #offer li, #offer span {
    background-color: none;
}

.table-cell-overflow {
    max-width: 100px;
}
/*white-space:nowrap; overflow: hidden; text-overflow: ellipsis;*/
.table-cell-nowrap {
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    max-height: 65px;
}

.wrapper_customized {
    /*width: 450px;*/
}

.progress-bar_customized {
    width: 100%;
    background-color: #495057;
    padding: 3px;
    border-radius: 3px;
    box-shadow: inset 0 1px 3px rgba(0, 0, 0, .2);
}

.progress-bar-fill {
    display: block;
    height: 22px;
    background-color: orange;
    border-radius: 3px;
    /*transition: width 2500ms ease-in-out;*/
}

.text-muted .progress-bar_customized {
    background-color: #eee; /* tło kontenera */
}

    .text-muted .progress-bar_customized .progress-bar-fill {
        background-color: #BBB; /* kolor paska */
    }

.Delayed {
    background-color: red;
}

.login-welcome h3 {
    color: orange;
    font-size: 30px;
    font-family: 'Berlin Sans FB';
}

.login-welcome h4 {
    font-family: Calibri;
    color: orange;
    font-size: 18px;
}

input#LoginEmail, input#LoginPassword {
    width: 300px;
    height: 30px;
    border: none;
    border-radius: 15px;
    padding-left: 15px;
    font-family: Calibri;
    font-size: 1rem;
}

label#login-label {
    font-family: Calibri;
    font-weight: bolder;
    color: orange;
    font-size: 20px;
}




.login-logout-card .card-header {
    padding: 0px 0px 12px 0px;
}

.login-logout-card ul.nav-tabs {
    margin: 0px 0px -12px 0px;
}

.login-logout-card li.nav-item {
    width: 50%;
}

.login-logout-card a.nav-link {
    font-size: 1rem;
    color: #495057;
    text-align: center;
    padding: 1rem;
}

.login-logout-card .card-body {
    padding: 10px 20px;
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

.custom-alert {
    margin: 10px;
    padding: 10px;
    border: 1px solid #ABB6D6;
    border-radius: 15px;
    text-align: center;
    font-weight: 200;
    color: white;
    background-color: orange;
}

div.offer i {
    margin-left: 5px;
    color: #ff6702;
}

.item1 {
    background-color: #ABB6D6;
}

.item2 {
    background-color: #C8DAEC;
}

.item3 {
    background-color: #ABCCD6;
}


tr.True {
    background-color: #26c21535;
}

a.False {
    visibility: hidden;
}

.radio-image {
    width: 80px;
    height: 80px;
    border: 1px solid #e2dede;
    border-radius: 20px;
    padding: 5px;
}

.Pending {
    /*background-color: red;*/
}

.Paid, .Due {
}

.Cancelled, .Returned {
    /*background-color:  ;*/
}

a.nolink {
    text-decoration: none;
}


    a.nolink:link, a.nolink:visited {
        color: #212529
    }

    a.nolink:hover {
        color: #212529;
    }

.cell_payment_status {
    padding: 1px 10px 3px 7px;
    border-bottom-left-radius: 10px;
    border-top-left-radius: 0px;
    border-bottom-right-radius: 0px;
    border-top-right-radius: 10px;
    margin-top: 9px;
}

.status_Delayed {
    background-color: red;
}

.status_Due, status_Paid {
    border: 1px solid grey;
}

.status_Cancelled, .status_Returned {
    background-color: #bbb;
}

.status_Pending, .status_Upcoming {
    background-color: steelblue;
}

.cell_payment_status_Delayed {
    border: 1px solid red;
    background-color: red;
    padding: 1px 10px 3px 7px;
    border-bottom-left-radius: 10px;
    border-top-left-radius: 0px;
    border-bottom-right-radius: 0px;
    border-top-right-radius: 10px;
    margin-top: 9px;
}

.cell_payment_status_Due,
.cell_payment_status_Paid {
    border: 1px solid grey;
    padding: 1px 10px 3px 7px;
    border-bottom-left-radius: 10px;
    border-top-left-radius: 0px;
    border-bottom-right-radius: 0px;
    border-top-right-radius: 10px;
    margin-top: 9px;
}

.cell_payment_status_Cancelled,
.cell_payment_status_Returned {
    background-color: #bbb;
    padding: 1px 10px 3px 7px;
    border-bottom-left-radius: 10px;
    border-top-left-radius: 0px;
    border-bottom-right-radius: 0px;
    border-top-right-radius: 10px;
    margin-top: 9px;
}

.cell_payment_status_Pending, .cell_payment_status_Upcoming {
    /*border: 1px solid black;*/
    background-color: steelblue;
    padding: 1px 10px 3px 7px;
    border-bottom-left-radius: 10px;
    border-top-left-radius: 0px;
    border-bottom-right-radius: 0px;
    border-top-right-radius: 10px;
    margin-top: 9px;
}

    .cell_payment_status_Pending:hover, .cell_payment_status_Cancelled:hover, .cell_payment_status_Returned:hover, .cell_payment_status_Due:hover,
    .cell_payment_status_Paid:hover, .cell_payment_status_Upcoming:hover {
        background-color: #ff6702;
    }

.cell_payment {
    font-size: 0.9em;
    border-bottom: 1px, dotted, #f00;
    padding: 5px;
}

div.cell_payment:hover {
    background-image: url(/images/various/pencil_square_24.png);
    background-position: bottom right;
    background-repeat: no-repeat;
}

a.active_rent_page {
    border: 2px solid #18bc9c !important;
    border-radius: 11px;
    padding: 5px 7px 5px 7px !important;
}

.pagination a {
    text-decoration: none;
}

rent-details-bg-True {
    background-color: #569C56;
}

rent-details-bg-False {
    background-color: red;
}

.invoice-persons-False {
    background-color: #bbbbbb;
}

.offer_validation {
    background-color: red;
    color: white;
    font-weight: bold;
    padding: 3px 7px 3px 7px;
    border: 0px;
    border-radius: 25px;
}

    .offer_validation:empty {
        display: none;
    }

.start_day_end-frame {
    height: 90px;
    border-top-right-radius: 20px;
    border-bottom-right-radius: 20px;
}

.start_day_mid-frame {
    height: 90px;
    border-top: 1px solid #2c3E50; /* górna krawędź */
    border-bottom: 1px solid #2c3E50; /* dolna krawędź */
}

.start_day_start-frame {
    height: 90px;
    border-top: 1px solid #2c3E50; /* górna krawędź */
    border-bottom: 1px solid #2c3E50; /* dolna krawędź */
    border-left: 1px solid #2c3E50; /* lewa krawędź */
    border-right: none; /* brak ramki po prawej */

    border-top-left-radius: 20px; /* zaokrąglenie w lewym górnym rogu */
    border-bottom-left-radius: 20px; /* zaokrąglenie w lewym dolnym rogu */

    background: linear-gradient(to left, #ffffff 30%, #377385 100%);
}

.end_day_start-frame {
    height: 90px;
    border-top-left-radius: 20px;
    border-bottom-left-radius: 20px;
}

.end_day_mid-frame {
    height: 90px;
    border-top: 1px solid #2c3E50; /* górna krawędź */
    border-bottom: 1px solid #2c3E50; /* dolna krawędź */
}

.end_day_end-frame {
    height: 90px;
    border-top: 1px solid #2c3E50; /* górna krawędź */
    border-bottom: 1px solid #2c3E50; /* dolna krawędź */
    border-right: 1px solid #2c3E50; /* lewa krawędź */
    border-left: none; /* brak ramki po prawej */

    border-top-right-radius: 20px; /* zaokrąglenie w lewym górnym rogu */
    border-bottom-right-radius: 20px; /* zaokrąglenie w lewym dolnym rogu */

    background: linear-gradient(to left, grey 0%, #white 70%);
}

.sale_start-frame {
    height: 90px;
    border-top-left-radius: 20px;
    border-bottom-left-radius: 20px;
}

.sale_mid-frame {
    height: 90px;
    border-top: 1px solid #2c3E50; /* górna krawędź */
    border-bottom: 1px solid #2c3E50; /* dolna krawędź */
}

.sale_end-frame {
    height: 90px;
    border-top: 1px solid #2c3E50; /* górna krawędź */
    border-bottom: 1px solid #2c3E50; /* dolna krawędź */
    border-right: 1px solid #2c3E50; /* lewa krawędź */
    border-left: none; /* brak ramki po prawej */

    border-top-right-radius: 20px; /* zaokrąglenie w lewym górnym rogu */
    border-bottom-right-radius: 20px; /* zaokrąglenie w lewym dolnym rogu */

    background: linear-gradient(to left, #883893 0%, #ffffff 70%);
}

.dashborad-form-select {
    display: inline;
    width: 100%;
    padding: 0.175rem 2.25rem 0.175rem 0.75rem;
    -moz-padding-start: calc(0.75rem - 3px);
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #212529;
    background-color: #f39c1230;
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%23343a40' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='m2 5 6 6 6-6'/%3e%3c/svg%3e");
    background-repeat: no-repeat;
    background-position: right 0.75rem center;
    background-size: 16px 12px;
    border: 1px solid #ced4da;
    border-radius: 0.375rem;
    transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

/* Reset wyglądu domyślnego */
input[type="checkbox"] {
    appearance: none;
    -webkit-appearance: none;
    margin: 0 8px 0 0;
    cursor: pointer;
    border: 2px solid #555;
    border-radius: 4px;
    display: inline-block;
    vertical-align: middle;
    position: relative;
}

/* Rozmiary */
.small {
    width: 16px;
    height: 16px;
}

.normal {
    width: 24px;
    height: 24px;
}

.big {
    width: 32px;
    height: 32px;
}

/* Zaznaczenie */
input[type="checkbox"]:checked::after {
    content: "✔";
    position: absolute;
    left: 2px;
    top: -2px;
    font-size: 18px;
    color: green;
}

.normal:checked::after {
    font-size: 22px;
}

.big:checked::after {
    font-size: 28px;
}

.menu-icon-circle {
    color: white; /* kolor ikony */
    background-color: #3498D8; /* kolor tła */
    border-radius: 50%; /* okrągłe tło */
    padding: 3px; /* odstęp wokół ikony */
    display: inline-flex; /* aby padding działał poprawnie */
    align-items: center; /* wyśrodkowanie pionowe */
    justify-content: center; /* wyśrodkowanie poziome */
    font-size: 14px; /* rozmiar ikony */
}

.phone-link {
    font-weight: bold;
    font-size: 1.2em;
}

@media (min-width: 1200px) {
    .phone-link {
        font-weight: bold; 
        font-size: 1em;
    }
}

.noInvoiceBgColor{
    background-color: red !important;
}

/*
Classes from r24 begins
    }*/

.internal-banner {
    margin-top: 30px;
}

    .internal-banner .element:hover {
        border-color: #327082;
    }

    .internal-banner .element {
        padding: 23px 15px 15px;
        background-color: #fff;
        border: 2px solid #ddd;
        border-radius: 5px;
        text-align: center;
        transition: 0.5s all ease 0s;
    }

/*
Classes from r24 ends
    }*/

.offer-tile {
    height: 150px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 1.5rem;
    font-weight: 600;
    text-decoration: none;
    border-radius: 10px;
    transition: 0.2s;
}

    .offer-tile:hover {
        transform: scale(1.03);
        opacity: 0.9;
        color: #2c3E50; 
    }

.offer-tile-rent {
    background-color: #ABB6D6;
    color: #2c3E50;
}

.offer-tile-buy {
    background-color: #ABCCD6;
    color: #2c3E50;
}
/*
.show-when-hover {
    opacity: 10;
}

    .show-when-hover:hover {
        opacity: 100;
    }*/
